<?php

/**
 * Fired when the plugin is uninstalled.
 * When populating this file, consider the following flow
 * of control:
 * - This method should be static
 * - Check if the $_REQUEST content actually is the plugin name
 * - Run an admin referrer check to make sure it goes through authentication
 * - Verify the output of $_GET makes sense
 * - Repeat with other user roles. Best directly by using the links/query string parameters.
 * - Repeat things for multisite. Once for a single site in the network, once sitewide.
 * This file may be updated more in future version of the Boilerplate; however, this is the
 * general skeleton and outline for how the file should work.
 * For more information, see the following discussion:
 * https://github.com/tommcfarlin/WordPress-Plugin-Boilerplate/pull/123#issuecomment-28541913
 *
 *
 * @package Plugin_Name
 *
 * @link http://example.com
 * @since 1.0.0
 */

// If uninstall not called from WordPress, then exit.

if (!defined('WP_UNINSTALL_PLUGIN')) {
    exit();
}

/**
 * delete all our custom gateway posts
 *
 * @since 1.0.0
 * @return void
 */
function woo_custom_gateway_unistall()
{

    $args = array('post_type' => 'woocg-post', 'fields' => 'ids', 'no_found_rows' => true, 'numberposts' => -1);

    $posts = get_posts($args);

    foreach ($posts as $id) {

        wp_delete_post($id, true);
    }
}

woo_custom_gateway_unistall();